OhMyGPT
Realtime

Create Realtime client secret

POST
/v1/realtime/client_secrets

Creates an ephemeral client secret for an OpenAI Realtime session. Set the model in session.model or the top-level model field.

授权

ApiKeyAuth
headerAuthorization<token>

请求主体

application/json
  1. body
model?string

OhMyGPT model ID. Used when session.model is omitted.

session?
[key: string]?any

响应主体

The client secret and its session configuration.

application/json
  1. response
client_secret?
[key: string]?any
示例请求
curl -X POST 'https://api.ohmygpt.com/v1/realtime/client_secrets' \  -H 'Content-Type: application/json' \  -d '{}'
示例响应
{  "client_secret": {    "expires_at": 0,    "value": "string"  }}